%define src_ver 0.50-2

%define languageenglazy Portuguese
%define languagecode pt
%define lc_ctype pt_PT

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.50.2
Release:       2mdk
Group:         System/Internationalization
Source:	       http://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/aspell-%{languagecode}-%{src_ver}.tar.bz2
URL:		   http://aspell.sourceforge.net/
License:	   GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

BuildRequires: aspell >= 0.50
BuildRequires: make
Requires:      aspell >= 0.50

# Mandrake Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary
Provides:	   aspell-%{lc_ctype}
Obsoletes:	   ispell-pt
Provides:	   ispell-pt

# provides pt_BR too
Provides:	   aspell-pt_BR
Obsoletes:	   ispell-pt_BR
Provides:	   ispell-pt_BR

ExcludeArch:   ia64
Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.
Provides both European and Brazilian spellings

%prep
%setup -q -n %{name}-%{src_ver}

%build

# don't use configure macro
./configure

%make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std

cp doc/README README.%{languagecode}
chmod 644 README Copyright README.%{languagecode}

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.%{languagecode} Copyright
%dir %{_datadir}/aspell
%{_datadir}/aspell/*
%dir %{_libdir}/aspell
%{_libdir}/aspell/*

%changelog
* Tue Aug 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.50.2-2mdk
- added directories owning

* Tue Jul 22 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.50.2-1mdk
- first version for Mandrake

